pcl::MeshQuadricDecimationVTK Class Reference

PCL mesh decimation based on vtkQuadricDecimation from the VTK library. More...

`#include <pcl/surface/vtk_smoothing/vtk_mesh_quadric_decimation.h>`

Inheritance diagram for pcl::MeshQuadricDecimationVTK:

## Public Member Functions

| MeshQuadricDecimationVTK ()
| Empty constructor. More...
void | setTargetReductionFactor (float factor)
| Set the percentage of faces that should be removed. More...
float | getTargetReductionFactor ()
| Get the target reduction factor. More...
Public Member Functions inherited from pcl::MeshProcessing
| MeshProcessing ()
| Constructor. More...
virtual | ~MeshProcessing ()
| Destructor. More...
void | setInputMesh (const pcl::PolygonMeshConstPtr &input)
| Set the input mesh that we want to process. More...
pcl::PolygonMeshConstPtr | getInputMesh () const
| Get the input mesh to be processed. More...
void | process (pcl::PolygonMesh &output)
| Process the input surface mesh and store the results. More...

## Protected Member Functions

void | performProcessing (pcl::PolygonMesh &output)
| Abstract surface processing method. More...
Protected Member Functions inherited from pcl::MeshProcessing
virtual bool | initCompute ()
| Initialize computation. More...
virtual void | deinitCompute ()
| UnInitialize computation. More...
virtual std::string | getClassName () const
| Abstract class get name method. More...

## Additional Inherited Members

Public Types inherited from pcl::MeshProcessing
typedef boost::shared_ptr< MeshProcessing > | Ptr
typedef boost::shared_ptr< const MeshProcessing > | ConstPtr
typedef PolygonMesh::ConstPtr | PolygonMeshConstPtr
Protected Attributes inherited from pcl::MeshProcessing
pcl::PolygonMeshConstPtr | input_mesh_
| Input polygonal mesh. More...

## Detailed Description

PCL mesh decimation based on vtkQuadricDecimation from the VTK library.

Please check out the original documentation for more details on the inner workings of the algorithm Warning: This wrapper does two fairly computationally expensive conversions from the PCL PolygonMesh data structure to the vtkPolyData data structure and back.

Definition at line 52 of file vtk_mesh_quadric_decimation.h.

## Constructor & Destructor Documentation

## MeshQuadricDecimationVTK()

pcl::MeshQuadricDecimationVTK::MeshQuadricDecimationVTK | ( |  | ) |

Empty constructor.

## Member Function Documentation

## getTargetReductionFactor()

float pcl::MeshQuadricDecimationVTK::getTargetReductionFactor | ( |  | ) |

inline

Get the target reduction factor.

Definition at line 69 of file vtk_mesh_quadric_decimation.h.

## performProcessing()

void pcl::MeshQuadricDecimationVTK::performProcessing | ( | pcl::PolygonMesh & | output | ) |

protected virtual

Abstract surface processing method.

Implements pcl::MeshProcessing.

## setTargetReductionFactor()

void pcl::MeshQuadricDecimationVTK::setTargetReductionFactor | ( | float | factor | ) |

inline

Set the percentage of faces that should be removed.

Parameters

  [in] | factor | the factor

Definition at line 62 of file vtk_mesh_quadric_decimation.h.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/surface/include/pcl/surface/vtk_smoothing/vtk_mesh_quadric_decimation.h